Subject: bug#33255: 27.0.50; expand-file-name: default directory expanded twice if relative

From: Glenn Morris <[email-masked]>
Date: Wed, 14 Nov 2018 13:10:44 -0500

Paul Eggert wrote:

> However, POSIX says that sh treats ~/foo like $HOME/foo even when HOME
> is not absolute [...]

Can you point me to the citation for that please (I'm not doubting you,
just interested to read the wording, which I could not find).

I'm a bit disappointed to see that a relative HOME is now documented
in the Emacs manuals, since IMO it lends legitimacy to a questionable
usage. I don't see it mentioned in eg the bash manual.
I also don't see why it is in NEWS since it is described as
a bug fix, and those aren't normally mentioned.